﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TabSample
{
    public class ChartViewModel
    {
        public ObservableCollection<Model> DataPoints { get; set; }

        public int width {get;set;}

        public int height { get; set; }
        public ChartViewModel()
        {
            DataPoints = new ObservableCollection<Model>
            {
                new Model("Jan", 20),
                new Model("Feb", 25),
                new Model("Mar", 30),
                new Model("Apr", 20),
                new Model("May", 10),
            };

            width = App.ScreenWidth;
            height = App.ScreenHeight;
            
        }
    }


    public class Model
    {
        public string XValue { get; set; }
        public double YValue { get; set; }

        public Model(string xValue, double Value)
        {
            XValue = xValue;
            YValue = Value;
        }

    }
}
